#!/bin/sh
echo 'name: monad-par
version: 0.3
id: monad-par-0.3-1d0def844b38aef21c1deca45afdf858

license: BSD3
copyright: (c) Simon Marlow 2011
maintainer: Simon Marlow <marlowsd@gmail.com>
stability: Experimental
homepage: https://github.com/simonmar/monad-par
package-url:
synopsis: A library for parallel programming based on a monad
description: This library offers an alternative parallel programming
             API to that provided by the @parallel@ package.
             A '\''Par'\'' monad allows the simple description of
             parallel computations, and can be used to add
             parallelism to pure Haskell code.  The basic API
             is straightforward: the monad supports forking
             and simple communication in terms of '\''IVar'\''s.
             The library comes with a work-stealing
             implementation, but the internals are also
             exposed so that you can build your own scheduler
             if necessary.
             Examples of use can be found in the examples/ directory
             of the source package.
             The modules below provide additionaly schedulers,
             data structures, and other added capabilities
             layered on top of the '\''Par'\'' monad.
category: Control,Parallelism,Monads
author: Simon Marlow
pkgpath: devel/hs-monad-par
exposed: True
exposed-modules: Control.Monad.Par Control.Monad.Par.Scheds.Trace
                 Control.Monad.Par.Scheds.TraceInternal
                 Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc/monad-par-0.3
library-dirs: /usr/local/lib/ghc/monad-par-0.3
hs-libraries: HSmonad-par-0.3
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: abstract-deque-0.1.6-d48f4023ab37d18b56a79e8e06a60838
         abstract-par-0.3.1-20766d58d5dcb15059ab3a19017d729f
         array-0.4.0.1-6380782b62ead58fec616aa07dc0e15c
         base-4.6.0.1-185478ee9bcc4ae00bc1dbe06bac6937
         containers-0.5.0.0-3b8b869ec10d44736414ab5bea776319
         deepseq-1.3.0.1-aa1be128186a233c7290faf88620ffe5
         monad-par-extras-0.3.2-6168f6fc8b8bd5adb5bdf4104ee56c8c
         mtl-2.1.2-735d9c92b4f214d454fb5168bb1eb6ee
         mwc-random-0.12.0.1-005a6da460373c3cc9f54fd5037da418
         parallel-3.2.0.3-e820b19f5a9c77af99f9f74ca067f604
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-monad-par-0.3/html/monad-par.haddock
haddock-html: /usr/local/share/doc/hs-monad-par-0.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
